#include <iostream> 

using namespace std;

double vectorSum( const double x[], int n, int from, int upto )
{
   if ( x == 0 && n > 0 )
   {  cerr << " vectorSum    " << endl;
      exit( EXIT_FAILURE );  }
   if ( n <= 0 )
   {  cerr << "  (" 
           << n << ")     vectorSum" << endl;
      exit( EXIT_FAILURE );  }
   if ( from < 0 || n-1 < upto )
   {  cerr << "vectorSum:   " << from
           << "  " << upto << endl;
      exit( EXIT_FAILURE );  }
      
   double sum( 0 );

   for ( int m(from); m <= upto; ++m )  sum += x[m];
   return sum;
} // vectorSum

int main()
{
   double x[] = { 0.1, 1.2, 2.3, 3.4, 4.5, 5.6, 6.7, 7.8, 8.9 };
   int m;
   int* pM( &m );

   cout << vectorSum( x, 9, 1, 2 ) << endl;
   cout << x << endl;
   cout << (&x[0]) << endl;
   
   cout << x[3] << endl;
   *(x+3) = 7.77;
   cout << x[3] << endl;
   
system("pause");
}
/*
0x22ff20
*/
